<?php

/*

 * If the current post is protected by a password and the visitor has not yet

 * entered the password we will return early without loading the comments.

 */

if ( post_password_required() ) return;



$translate['comment'] = get_setting( 'translate' ) ? get_setting( 'translate-comment', 'Comment' ) : __( 'Comment', 'flathost' );

$translate['comments'] = get_setting( 'translate' ) ? get_setting( 'translate-comments', 'Comments' ) : __( 'Comments', 'flathost' );

$translate['comments-off'] = get_setting( 'translate' ) ? get_setting( 'translate-comments-off', 'Comments are closed.' ) : __( 'Comments are closed.', 'flathost' );

$translate['comments-note'] = get_setting( 'translate' ) ? get_setting( 'translate-comments-note', 'Your email address will not be published.' ) : __( 'Your email address will not be published.', 'flathost' );

$translate['comments-btn'] = get_setting( 'translate' ) ? get_setting( 'translate-comments-btn', 'Send Comment' ) : __( 'Send Comment', 'flathost' );


?>



<div class="commentform comments-area">

        <?php

    	 if ( have_comments() ):

            echo '<div class="row"><h3>';

                $num_comments = get_comments_number();

                if( $num_comments != 1 )

                    printf( '%1$s <span>( %2$s )</span> ', $translate['comments'], number_format_i18n( $num_comments ) );

                else

                    printf( '%1$s <span>( %2$s )</span> ', $translate['comment'], number_format_i18n( $num_comments ) );

            echo '</h3></div>';

         endif; 

      

        $req = get_option( 'require_name_email' );

        $aria_req = ( $req ? " aria-required='true'" : '' );

    

        $fields = array();

        $fields['author'] = '<div class="form-group col-sm-6"><input id="author" name="author" type="text" class="form-control" placeholder="Name" value="' . esc_attr( $commenter['comment_author'] ) . '"' . $aria_req . ' /></div>';

        $fields['email'] = '<div class="form-group col-sm-6"><input id="email" name="email" type="text" class="form-control" placeholder="Email" value="' . esc_attr(  $commenter['comment_author_email'] ) . '"' . $aria_req . ' /></div>';

        

        $args = array(

            'fields' => $fields,

            'comment_field' => '<div class="form-group col-sm-12"><textarea id="comment" name="comment" class="form-control textarea" placeholder="Comments"></textarea></div>',

            'format' => 'html5',

            'label_submit' => $translate['comments-btn'],

            'comment_notes_before' => '<p class="comment-notes">' . $translate['comments-note'] . '</p>',

            'comment_notes_after' => ''

        );

        ob_start();

        comment_form( $args );

        $comment_form = ob_get_clean();

        $comment_form = str_replace( '<p class="form-submit ">', '<p class="form-submit field col-sm-12">', $comment_form );

        $comment_form = str_replace( 'class="submit"', 'class="btn btn-success"', $comment_form );

        echo '<div class="row">'. $comment_form .'</div>';

    ?>

</div>

<div class="commentslist comments-area">

<?php if ( ! comments_open() ) { echo '<p class="no-comments">' . $translate['comments-off'] . '</p>'; } ?>

	<?php if ( have_comments() ) { ?>



		<ol class="comment-list media-list clearfix">

			<?php
                 
                wp_list_comments( array(
                    'style'       => 'ol',
                    'format'      => 'html5',
                    'short_ping'  => true,
                    'callback'          => 'spyropress_comment',
                ) );

			?>

		</ol><!-- .comment-list -->



		<?php

			// Are there comments to navigate through?

			if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :

		?>

		<nav class="navigation comment-navigation" role="navigation">

			<h1 class="screen-reader-text section-heading"><?php _e( 'Comment navigation', 'flathost' ); ?></h1>

			<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'flathost' ) ); ?></div>

			<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'flathost' ) ); ?></div>

		</nav><!-- .comment-navigation -->

		<?php endif; // Check for comment navigation ?>



	<?php

        }

    ?>

</div><!-- #comments -->

