<?php



/**

 * SpyroPress Dashboard

 *
 * Dashboard contains Latest News, Theme Info, Latest Tweets, etc.
 *
 */

global $spyropress;
?>

<div class="wrap spyropress-wrap">
	
    <?php get_spyropress_badge(); ?>
    <h1><?php echo esc_html( $spyropress->theme_name ).' '.__( 'Dashboard', 'flathost' ); ?></h1>
    <div class="teaser-text">

		<?php _e( 'Thank you for using ThemeSquared. ThemeSquared will improve your overall web publishing experience.', 'flathost' ); ?>

	</div>
	<div class="clear"></div>
	<div id="dashboard-widgets" class="metabox-holder columns-2">
		<div id="postbox-container-1" class="postbox-container">
			<div id="dashboard_theme_info" class="postbox">
				<h3 class="hndle">
                    <?php _e( 'Theme Info', 'flathost'); ?>
				</h3>
				<div class="inside">
					<ul>
						<li>
							<?php _e( 'Framework Version:', 'flathost'); ?>
							<strong>
								<?php echo spyropress_get_version(); ?>
							</strong>
						</li>
                        <li>
							<?php _e( 'Product Version:', 'flathost'); ?>
							<strong>
								<?php echo esc_html( $spyropress->theme_version ); ?>
							</strong>
						</li>
						<li>
							<?php _e( 'Product Support:', 'flathost'); ?>
							<?php get_support_forum_link(); ?>
						</li>
					</ul>
					<br class="clear"/>
				</div>
			</div>
		</div>
		<div id="postbox-container-2" class="postbox-container">
			<div id="dashboard_spyropress_changelog" class="postbox">
				<h3 class="hndle">
					<?php _e( 'Theme Changelog', 'flathost'); ?>
				</h3>
				<div class="inside">
					<?php $theme_log = spyropress_get_theme_changelog(); if ( !empty( $theme_log ) ) echo esc_html( $theme_log->changelog ); ?>
<p><b>Version 2.1.4</b></br>
                            	&nbsp;&nbsp;&nbsp;<b>Updated</b><br />
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- (WordPress Updated to Latest Version)<br />  
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- (Sample Demo Content Updated )<br /> 
                                &nbsp;&nbsp;&nbsp;<b>Bug Removed</b><br />
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- (Google Map API Key )<br /> 
                                &nbsp;&nbsp;&nbsp;<b>Feature Added</b><br />
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- (Theme Option For Google Map Custom API Key Adding)<br />   
                                </p>
                        <hr />
<p><b>Version 2.1.3</b></br>
                            	&nbsp;&nbsp;&nbsp;<b>Feature Added</b><br />
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- (Pricing Table Style Added)<br />                               
                                </p>
                        <hr />
                      

<p><b>Version 2.1.2</b></br>
                            	&nbsp;&nbsp;&nbsp;<b>Bug Removed</b><br />
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- (Pricing issue Fix)<br />                               
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- (Icon Teaser link opening issue Fix)<br />                               
                                </p>
                        <hr />

    <p><b>Version 2.1.1</b></br>
                            	&nbsp;&nbsp;&nbsp;<b>Feature Added</b><br />
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- (FontAwesome Icon add in Icon Teaser Module)<br />                               
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- (Retina Ready Functionality Added)<br />                               
                                </p>
                        <hr />

<p><b>Version 2.1.0</b></br>
                            	&nbsp;&nbsp;&nbsp;<b>Bug Removed</b><br />
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- (Icon Teaser Link issue Fix)<br />                               
                                </p>
                        <hr />
		
                                <p><b>Version 2.0.9</b></br>
                            	&nbsp;&nbsp;&nbsp;<b>Bug Removed</b><br />
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- (BLock Title Link Click-able issue Fix)<br />                               
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- (Blog Meta Information issue Fix)<br />                               
                                </p>
                        <hr />
  
&nbsp;&nbsp;&nbsp;<b>Feature Added</b><br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- (Icon Teaser Link Option Added)<br />                                                              
                                </p>
                        <hr />
                                

				<p><b>Version 2.0.8</b></br>
                            	&nbsp;&nbsp;&nbsp;<b>Bug Removed</b><br />
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- (Menu issue Fix)<br />                               
                                </p>
                        <hr />
                                
 <p><b>Version 2.0.7</b></br>
                            	&nbsp;&nbsp;&nbsp;<b>Bug Removed</b><br />
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- (TMG Plugin issue Fix)<br />                               
                                </p>
                        <hr />

 <p><b>Version 2.0.6</b></br>
                            	&nbsp;&nbsp;&nbsp;<b>Bug Removed</b><br />
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- ( 3rd Level Menu issue Fix )<br />

                                &nbsp;&nbsp;&nbsp;<b>New Feature Added</b><br />
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- ( Revolution Slider Added )</br>
                        </p>
                        <hr />

                                <p><b>Version 2.0.5</b></br>
                            	&nbsp;&nbsp;&nbsp;<b>Bug Removed</b><br />
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- ( Title Showing In Browser Tab instead of URL )<br />
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- ( Blog Single Page meta Field Fix )<br />
                        </p>
                        <hr />
                                <p><b>Version 2.0.4</b></br>
                            	&nbsp;&nbsp;&nbsp;<b>Bug Removed</b><br />
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- ( Custom Css issue Fix )<br />
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- ( Google Analytic issue Fix )<br />
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- ( Blog Meta Field issue Fix )<br />
                                &nbsp;&nbsp;&nbsp;<b>New Feature Added</b><br />
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- ( Enable/Disable Comment Number in Post )</br>
                        </p>
                        <hr />

                                <p><b>Version 2.0.3</b></br>
                            	&nbsp;&nbsp;&nbsp;<b>Bug Removed</b><br />
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- ( Demo Bug removed )<br />
                                &nbsp;&nbsp;&nbsp;<b>New Feature Added</b><br />
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- ( Live Chat Plugin Added )</br>
                        </p>
                        <hr />
                        <p><b>Version 2.0.2</b></br>
                            	&nbsp;&nbsp;&nbsp;<b>Bug Removed</b><br />
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- ( Shortcode useless Button removed )</p><hr />
                        <p><b>Version 2.0.1</b></br>
                            	&nbsp;&nbsp;&nbsp;<b>Bug Removed</b><br />
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- ( Child theme issue fix )</p><hr />
                        <p><b>Version 2.0.0</b></br>
                            	&nbsp;&nbsp;&nbsp;<b>Bug Removed</b></br>
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- (Fix Related Portfolio bug opening same project )</br>
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- (About me builder button bug fix ) </br>
                                &nbsp;&nbsp;&nbsp;<b>New Feature Added</b></br>
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- (Portfolio Listing background changed )</br>
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- (Mouse Zooming enable/disable option added in Google Map Marker Module )</br>
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- (Translation added for Portfolio )<br>
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- (Launch Project button setting added )<br>
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- (Breadcrumb added for porfolio single )<br>
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- (Header style setting added in page options )
                                
                        </p><hr/>
                        
                        <p><b>Version 1.0.1</b></br>
                            	&nbsp;&nbsp;&nbsp;<b>Bug Removed</b></br>
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- ( Footer social icon link bug fixed )<br />
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- ( Skill animation bug fixed )
                        </p><hr/>
                        <p><b>Initial Version 1.0.0</b>
                        </br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;- (<b>Theme Released</b> )
				        </p><br class="clear"/>
				</div>
			</div>
		</div>
		<div class="clear">
		</div>
	</div>
</div>