<?php
/**
 * Module: Domain Register
 * Domain registeration table
 *
 * @author 		SpyroSol
 * @category 	BuilderModules
 * @package 	Spyropress
 */

class Spyropress_Module_Domain_Register extends SpyropressBuilderModule {

    public function __construct() {

        // Widget variable settings
        $this->path = dirname(__FILE__);
        $this->description = __('Domain registeration table.', 'flathost');
        $this->id_base = 'spyropress_domain_register';
        $this->name = __('Domain Register', 'flathost');
        
        $this->fields = array(
        
            array(
                'label' => __( 'Heading', 'flathost' ),
                'type' => 'repeater',
                'id' => 'heading',
                'desc' => __( 'Table heading text', 'flathost' ),
                'item_title' => 'title',
                'fields' => array(
                    array(
                        'label' => __( 'Title', 'flathost' ),
                        'id' => 'title',
                        'type' => 'text'
                    )
                )
            ),
            
            array(
                'label' => __( 'Contents', 'flathost' ),
                'type' => 'repeater',
                'id' => 'contents',
                'desc' => __( 'Table body row contents', 'flathost' ),
                'fields' => array(
                    array(
                        'type' => 'repeater',
                        'id' => 'heading',
                        'desc' => __( 'Table heading text', 'flathost' ),
                        'item_title' => 'content',
                        'fields' => array(
                            array(
                                'label' => __( 'Content', 'flathost' ),
                                'id' => 'content',
                                'type' => 'text'
                            )
                        )
                    ),
                    array(
                        'label' => __( 'Button', 'flathost' ),
                        'id' => 'btn',
                        'desc' => __( 'Registeration button text', 'flathost' ),
                        'type' => 'text'
                    ),
                    
                    array(
                        'label' => __( 'Link / Url', 'flathost' ),
                        'id' => 'link',
                        'desc' => __( 'Registeration button url / link', 'flathost' ),
                        'type' => 'text'
                    )
                )
            )
                       
        );
        $this->create_widget();

    }

    function widget($args, $instance) {
        
        // extracting info
        extract( $args ); extract( $instance );

        // get view to render
        include $this->get_view();
    }

}
spyropress_builder_register_module('Spyropress_Module_Domain_Register');