<?php

/**
 * Module: Domain Search 
 * Separate sections of the layout.
 *
 * @author 		SpyroSol
 * @category 	BuilderModules
 * @package 	Spyropress
 */

class Spyropress_Module_Domain extends SpyropressBuilderModule {

    public function __construct() {

        // Widget variable settings
        $this->description = __('Domain search form with search field and TLDs choosen.', 'flathost');
        $this->id_base = 'spyropress_domain';
        $this->name = __('Domain Search', 'flathost');
        
        $this->fields = array(
        
            array(
                'label' => __( 'Form Submit', 'flathost' ),
                'type' => 'text',
                'id' => 'link',
                'desc' => __( 'Link for the form submition action', 'flathost' )
            ),
            
            array(
                'label' => __( 'TLDs', 'flathost' ),
                'type' => 'repeater',
                'id' => 'tlds',
                'item_title' => 'tld',
                'fields' => array(
                
                    array(
                        'label' => __( 'TLD', 'flathost' ),
                        'id' => 'tld',
                        'type' => 'text'
                    )
                )
            ),
            
            array(
                'label' => __( 'Submit label', 'flathost' ),
                'type' => 'text',
                'id' => 'btn_text',
                'desc' => __( 'Text label for the submit button', 'flathost' )
            ),
        );
        $this->create_widget();

    }

    function widget($args, $instance) {
        
        // extracting info
        extract( $args ); extract( $instance );

        // get view to render
        include $this->get_view();
    }

}
spyropress_builder_register_module('Spyropress_Module_Domain');