<?php

/**
 * Module: Heading
 * Add headings into the page layout wherever needed.
 *
 * @author 		SpyroSol
 * @category 	BuilderModules
 * @package 	Spyropress
 */

class Spyropress_Module_Heading extends SpyropressBuilderModule {

    public function __construct() {

        // Widget variable settings
        $this->cssclass = 'module-heading';
        $this->description = __( 'Add headings into the page layout wherever needed.', 'flathost' );
        $this->id_base = 'spyropress_heading';
        $this->name = __( 'Heading', 'flathost' );

        // Fields
        $this->fields = array(

            array(
                'label' => __( 'Heading Text', 'flathost' ),
                'id' => 'heading',
                'type' => 'text',
            ),
            
            array(
                'label' => __( 'HTML Tag', 'flathost' ),
                'id' => 'html_tag',
                'type' => 'select',
                'options' => array(
                    'h1' => __( 'H1', 'flathost' ),
                    'h2' => __( 'H2', 'flathost' ),
                    'h3' => __( 'H3', 'flathost' ),
                    'h4' => __( 'H4', 'flathost' ),
                    'h5' => __( 'H5', 'flathost' ),
                    'h6' => __( 'H6', 'flathost' )
                ),
                'std' => 'h1'
            ),
            
            array(
                'label' => __( 'Sub Heading Text', 'flathost' ),
                'id' => 'sub_heading',
                'type' => 'text',
            ),
            
            array(
                'label' => __( 'HTML Tag', 'flathost' ),
                'id' => 'html_sub_tag',
                'type' => 'select',
                'options' => array(
                    'h1' => __( 'H1', 'flathost' ),
                    'h2' => __( 'H2', 'flathost' ),
                    'h3' => __( 'H3', 'flathost' ),
                    'h4' => __( 'H4', 'flathost' ),
                    'h5' => __( 'H5', 'flathost' ),
                    'h6' => __( 'H6', 'flathost' )
                ),
                'std' => 'h1'
            ),
        );

        $this->create_widget();
    }

    function widget( $args, $instance ) {

        // extracting info
        extract( $args ); extract( $instance );

        // get view to render
        include $this->get_view();
    }
}

spyropress_builder_register_module( 'Spyropress_Module_Heading' );