<?php
/**
 * demo data.
 *
 * config.
 */
  
add_filter('ef3-theme-options-opt-name', 'flathost_set_demo_opt_name');

function flathost_set_demo_opt_name(){
    return 'spyropress_theme_settings';
}

add_filter('ef3-replace-content', 'flathost_replace_content', 10 , 2);


 
add_filter('ef3-enable-create-demo', 'flathost_enable_create_demo');

function flathost_enable_create_demo(){
    return false;
}
 
function flathost_replace_content($replaces, $attachment){
    return array(
        '/tax_query:/' => 'remove_query:',
        '/categories:/' => 'remove_query:',
        '/http:\/\/dev\.joomexp\.com\/wordpress\/sq-flathost/' => get_site_url()
    );
}
function flathost_recursive_replace(&$item, $key){
    if($key == 'icon' || $key == 'logo' || $key == 'rich_text'){
        $item = str_replace('http://dev.joomexp.com/wordpress/sq-flathost', get_site_url(), $item);  
    }
}

add_filter( 'wp_import_post_meta', 'flathost_replace_post_meta', 10, 3);
function flathost_replace_post_meta($post_metas, $post_id, $post){
    $newurl = get_site_url();
    //if($post_id == '307'){ 
        if ( ! empty( $post_metas ) ) {
            foreach ( $post_metas as $k => $meta ) { 
                if ( !empty($meta['key']) ) {
                    if ( $meta['key'] == '_spyropress_builder_data' ) {
                        $value = maybe_unserialize( $meta['value'] );
                        array_walk_recursive($value, 'flathost_recursive_replace'); 
                        $new_value = maybe_serialize( $value );
                        $post_metas[$k] = ['key' => $meta['key'], 'value' => $new_value];
                    } 
                }
            }
        }
         
    //}
    
    return $post_metas;
}

add_filter( 'ef3_widget_settings', 'flathost_replace_widget_setting',10,1 );
function flathost_replace_widget_setting($widget){
    if(!empty($widget->url)){ 
        $newurl = get_site_url();
        $widget->url = str_replace('http://dev.joomexp.com/wordpress/sq-flathost', $newurl, $widget->url);
    }

    return $widget;
}

function flathost_update_theme_option($request,$folder){
	if (!function_exists('base64_cms_decode')) return;
    global $spyropress;
    $option_file =      trailingslashit($folder).'option.php';
    if( !$option_file || !file_exists( $option_file ) ) return;
    include_once( $option_file );
	$data = unserialize(base64_cms_decode($dummy_data));

    //theme_settings
    $key = 'spyropress_theme_settings';
	update_option( $key, $data );
}

add_action('ef3-import-finish', 'flathost_update_theme_option',99,2);

/**
 * move post to trash
 */
add_action('ef3-import-start', 'flathost_move_trash', 1);
if(!function_exists('flathost_move_trash')){
    function flathost_move_trash(){
        wp_trash_post(1);
        wp_trash_post(2);
    }
}
/**
 * Set woo page.
 *
 * get array woo page title and update options.
 *
 * @author Chinh Duong Manh
 * @since 1.0.0
 */
function flathost_set_options_page($id,$folder_dir){
    $opt_pages = array(
        'page_on_front'  => 'Home',
        'page_for_posts' => 'Blog'
    );
 
    foreach ($opt_pages as $key => $opt_page){
        $page = get_page_by_title($opt_page);
        if(!isset($page->ID))
            continue;
        update_option($key, $page->ID);
    }
}
add_action('ef3-import-finish', 'flathost_set_options_page',10,2);
/**
 * Crop image
 */
add_action('ef3-import-finish', 'flathost_crop_images',99,2);
function flathost_crop_images($id,$folder_dir) {
    $query = array(
        'post_type'      => 'attachment',
        'posts_per_page' => -1,
        'post_status'    => 'inherit',
    );
    $media = new WP_Query($query);
    if ($media->have_posts()) {
        foreach ($media->posts as $image) {
            if (strpos($image->post_mime_type, 'image/') !== false) {
                $image_path = get_attached_file($image->ID);
                $metadata = wp_generate_attachment_metadata($image->ID, $image_path);
                wp_update_attachment_metadata($image->ID, $metadata);
            }
        }
    }
}



 