<?php



/**

 * Page Component

 * 

 * @package		SpyroPress

 * @category	Components

 */



class SpyropressPage extends SpyropressComponent {
    private $path;
    function __construct() {
        $this->path = dirname( __file__ );
        add_action( 'spyropress_register_taxonomy', array( $this, 'register' ) );
    }

    function register() {
        // Init Post Type
        $post = new SpyropressCustomPostType('Page');
        $menus = wp_get_nav_menus();
        $menu_options = array();
        if ( isset( $menus ) && count( $menus ) > 0 ) {
            foreach ( $menus as $menu ) {
                $menu_options[$menu->term_id] = $menu->name;
            }
        }


        // Add Meta Boxes

        $meta_fields['options'] = array(
            array(
                'label' => __( 'Menu','flathost' ),
                'type' => 'heading',
                'slug' => 'options'
            ),
    
            array(
                'label' => __( 'OnePage Menu', 'flathost' ),
                'id' => 'onepage_menu',
                'type' => 'select',
                'class' => ' one-page-php',
                'options' => $menu_options

            ),
            
            array(
                'label' => __( 'Slider', 'flathost' ),
                'type' => 'sub_heading',
            ),
            
            array(
                'label' => __( 'Slider Type', 'flathost' ),
                'id' => 'slider_type',
                'type' => 'select',
                'class' => 'enable_changer',
                'options' => array(
                    'flx' => __( 'Flex Slider', 'flathost' ),
                    'rev' => __( 'Revolution Slider', 'flathost' )
                )
            ),
            
            array(
                'label' => __( 'Slider', 'flathost' ),
                'id' => 'slider',
                'class' => 'slider_type flx',
                'type' => 'select',
                'options' => spyropress_get_sliders(),
            ),

        );
        
        if( class_exists( 'RevSlider' ) ) {
            $slider = new RevSlider();
            $arrSliders = $slider->getArrSliders();
            $revsliders = array();
            if ($arrSliders) {
                foreach ($arrSliders as $slider) {
                    $revsliders[$slider->getAlias()] = $slider->getTitle();
                }
            } else {
                $revsliders[esc_html__('No sliders found', 'flathost')] = 0;
            }
            $meta_fields['options'][] = array(
                'label' => __( 'Revolution Slider', 'flathost' ),
                'id' => 'rev_slider',
                'type' => 'select',
                'class' => 'slider_type rev',
                'options' => $revsliders
            );
        }
        $post->add_cms_meta_box( 'page_options', 'Page Options', $meta_fields,'_page_options', false, 'normal', 'high' );
    }
}

/**
 * Init the Component

 */
new SpyropressPage();
?>