<?php

/**
 * Theme Options
 *
 * @author        SpyroSol
 * @category    Admin
 * @package    Spyropress
 */


global $spyropress_theme_settings;


$spyropress_theme_settings['general'] = array(


	array(

		'label' => __( 'General Settings', 'flathost' ),

		'type' => 'heading',

		'slug' => 'generalsettings',

		'icon' => 'module-icon-general'

	),


	array(

		'label' => __( 'Custom Logo', 'flathost' ),

		'desc' => __( 'Upload a logo for your site or specify an image URL directly.', 'flathost' ),

		'id' => 'logo',

		'type' => 'upload'

	),


	array(

		'label' => __( 'Custom Favicon', 'flathost' ),

		'desc' => __( 'Upload a favicon for your site or specify an icon URL directly.<br/>Accepted formats: ico, png, gif<br/>Dimension: 16px x 16px.', 'flathost' ),

		'id' => 'custom_favicon',

		'type' => 'upload'

	),


	array(

		'label' => __( 'Apple Touch Icon (small)', 'flathost' ),

		'desc' => __( 'Upload apple favicon.<br/>Accepted formats: png<br/>Dimension: 57px x 57px.', 'flathost' ),

		'id' => 'apple_small',

		'type' => 'upload'

	),


	array(

		'label' => __( 'Apple Touch Icon (medium)', 'flathost' ),

		'desc' => __( 'Upload apple favicon.<br/>Accepted formats: png<br/>Dimension: 72px x 72px.', 'flathost' ),

		'id' => 'apple_medium',

		'type' => 'upload'

	),


	array(

		'label' => __( 'Apple Touch Icon (large)', 'flathost' ),

		'desc' => __( 'Upload apple favicon.<br/>Accepted formats: png<br/>Dimension: 114px x 114px.', 'flathost' ),

		'id' => 'apple_large',

		'type' => 'upload'

	),


	array(

		'label' => __( 'Tracking Code', 'flathost' ),

		'type' => 'sub_heading',

		'desc' => __( 'Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.', 'flathost' ),

	),


	array(

		'class' => 'section-full',

		'id' => 'tracking_code',

		'type' => 'textarea'

	),

	array(

		'label' => __( 'Google Map API', 'flathost' ),

		'type' => 'text',

		'id' => 'google_api',

		'desc' => __( 'Insert your own google map API Key.', 'flathost' ),

	),


); // End General Settings


$spyropress_theme_settings['Layout'] = array(


	array(

		'label' => __( 'Layout Options', 'flathost' ),

		'type' => 'heading',

		'slug' => 'layout',

		'icon' => 'module-icon-layout'

	),

	array(

		'label' => __( 'Header', 'flathost' ),

		'type' => 'sub_heading'

	),

	array(

		'label' => __( 'Header', 'flathost' ),

		'type' => 'background',

		'desc' => __( 'Upload Image for the header slider background', 'flathost' ),

		'id' => 'header_bg'

	),


	array(

		'label' => __( 'Custom CSS', 'flathost' ),

		'type' => 'sub_heading'

	),


	array(

		'id' => 'custom_css_textarea',

		'type' => 'textarea',

		'rows' => 12,

		'class' => 'section-full'

	)


); // End Layout Options


$spyropress_theme_settings['footer'] = array(


	array(

		'label' => __( 'Footer Customization', 'flathost' ),

		'type' => 'heading',

		'slug' => 'footer',

		'icon' => 'module-icon-footer'

	),


	array(

		'label' => __( 'Footer Widget Areas', 'flathost' ),

		'id' => 'footer_layout',

		'type' => 'radio_img',

		'desc' => __( 'Select how many footer widget areas you want to display.', 'flathost' ),

		'options' => array(

			'0col' => array(

				'title' => __( 'No Column', 'flathost' ),

				'img' => get_panel_img_path( 'layouts/0col.png' )

			),

			'1col' => array(

				'title' => __( '1 Column', 'flathost' ),

				'img' => get_panel_img_path( 'layouts/1col.png' )

			),

			'2col' => array(

				'title' => __( '2 Column', 'flathost' ),

				'img' => get_panel_img_path( 'layouts/2col.png' )

			),

			'3col' => array(

				'title' => __( '3 Column', 'flathost' ),

				'img' => get_panel_img_path( 'layouts/3col.png' )

			),

			'4col' => array(

				'title' => __( '4 Column', 'flathost' ),

				'img' => get_panel_img_path( 'layouts/4col.png' )

			),

			'6col' => array(

				'title' => __( '6 Column', 'flathost' ),

				'img' => get_panel_img_path( 'layouts/6col.png' )

			),

			'h2col' => array(

				'title' => __( 'Half-n-2 Column', 'flathost' ),

				'img' => get_panel_img_path( 'layouts/half_2col.png' )

			),

			'2hcol' => array(

				'title' => __( '2-n-Half Column', 'flathost' ),

				'img' => get_panel_img_path( 'layouts/2col_half.png' )

			),

			'h3col' => array(

				'title' => __( 'Half-n-3 Column', 'flathost' ),

				'img' => get_panel_img_path( 'layouts/half_3col.png' )

			),

			'3hcol' => array(

				'title' => __( '3-n-Half Column', 'flathost' ),

				'img' => get_panel_img_path( 'layouts/3col_half.png' )

			),

			't4col' => array(

				'title' => __( 'Third-n-4 Column', 'flathost' ),

				'img' => get_panel_img_path( 'layouts/third_4col.png' )

			),

			'4tcol' => array(

				'title' => __( '4-n-Third Column', 'flathost' ),

				'img' => get_panel_img_path( 'layouts/4col_third.png' )

			)

		),

		'std' => '6col'

	),

	array(

		'label' => __( 'Footer', 'flathost' ),

		'type' => 'background',

		'desc' => __( 'Upload Image for the footer slider background', 'flathost' ),

		'id' => 'footer_bg'

	),


	array(

		'label' => __( 'Copyright', 'flathost' ),

		'desc' => __( 'Custom HTML and Text that will appear in the footer of your theme.', 'flathost' ),

		'id' => 'footer_copyright',

		'type' => 'editor'

	),


	array(

		'label' => __( 'Logo', 'flathost' ),

		'id' => 'ft_logo',

		'desc' => __( 'Upload image logo for the footer area', 'flathost' ),

		'type' => 'upload',

	),


); // END FOOTER


$spyropress_theme_settings['post'] = array(


	array(

		'label' => __( 'Post Options', 'flathost' ),

		'type' => 'heading',

		'slug' => 'post',

		'icon' => 'module-icon-post'

	),

	array(

		'label' => __( 'Comments Number', 'flathost' ),

		'desc' => __( 'Disable Comments number on post', 'flathost' ),

		'id' => 'comment_disable',

		'type' => 'checkbox',

		'options' => array(

			'1' => __( 'Disable Comments number', 'flathost' ),

		)

	),

	array(

		'label' => __( 'Post Author', 'flathost' ),

		'desc' => __( 'Disable Post Author information', 'flathost' ),

		'id' => 'author_disable',

		'type' => 'checkbox',

		'options' => array(

			'1' => __( 'Disable Post Author', 'flathost' ),

		)

	),


	array(

		'label' => __( 'Excerpt Settings', 'flathost' ),

		'type' => 'sub_heading'

	),


	array(

		'label' => __( 'Length by', 'flathost' ),
		'id' => 'excerpt_by',
		'type'    => 'select',
		'options' => array(
			''      => '',
			'words' => __( 'Words', 'flathost' ),
			'chars' => __( 'Character', 'flathost' ),
		),
		'std' => 'words'
	),
	
	array(
		'label' => __( 'Length', 'flathost' ),
		'desc' => __( 'Set the length of excerpt.', 'flathost' ),
		'id' => 'excerpt_length',
		'type' => 'text',
		'std' => 30
	),
	
	array(
		'label' => __( 'Ellipsis', 'flathost' ),
		'desc' => __( 'This is the description field, again good for additional info.', 'flathost' ),
		'id' => 'excerpt_ellipsis',
		'type' => 'text',
		'std' => '&hellip;'
	),


	array(

		'label' => __( 'Before Text', 'flathost' ),
		'desc' => __( 'This is the description field, again good for additional info.', 'flathost' ),
		'id' => 'excerpt_before_text',
		'type' => 'text',
		'std' => '<p>'
	),


	array(
		'label' => __( 'After Text', 'flathost' ),
		'desc' => __( 'This is the description field, again good for additional info.', 'flathost' ),
		'id' => 'excerpt_after_text',
		'type' => 'text',
		'std' => '</p>'
	),


	array(
		'label' => __( 'Read More', 'flathost' ),
		'id' => 'excerpt_link_to_post',
		'type' => 'checkbox',
		'options' => array(
			1 => __( 'Enable or disable Read more link.', 'flathost' ),
		),
		'std' => 1
	),


	array(

		'label' => __( 'Link Text', 'flathost' ),

		'desc' => __( 'A text for Read More button.', 'flathost' ),

		'id' => 'excerpt_link_text',

		'type' => 'text',

		'std' => 'Continue Reading..'

	)


); // End Blog Settings


$spyropress_theme_settings['translate'] = array(


	array(

		'label' => __( 'Translate', 'flathost' ),

		'type' => 'heading',

		'slug' => 'translate',

		'icon' => 'module-icon-docs'

	),


	array(

		'label' => __( 'General', 'flathost' ),

		'type' => 'sub_heading'

	),


	array(

		'desc' => __( 'Turn it off if you want to use .mo .po files for more complex translation.', 'flathost' ),

		'id' => 'translate',

		'type' => 'checkbox',

		'options' => array(

			1 => __( 'Enable Translate', 'flathost' ),

		),

		'std' => '1'

	),


	array(

		'label' => __( 'Search Placeholder', 'flathost' ),

		'desc' => __( 'Search widget', 'flathost' ),

		'id' => 'search-placeholder',

		'type' => 'text',

		'std' => 'Search..'

	),


	array(

		'label' => __( 'Search Button', 'flathost' ),

		'desc' => __( 'Search widget button', 'flathost' ),

		'id' => 'search-btn',

		'type' => 'text',

		'std' => 'Go',
		'class' => 'hidden'

	),


	array(

		'label' => __( 'Blog & Archives', 'flathost' ),

		'type' => 'sub_heading'

	),


	array(

		'id' => 'translate-comment',

		'type' => 'text',

		'label' => __( 'Comment', 'flathost' ),

		'desc' => __( 'Text to display when there is one comment', 'flathost' ),

		'std' => 'Comment'

	),


	array(

		'id' => 'translate-comments',

		'type' => 'text',

		'label' => __( 'Comments', 'flathost' ),

		'desc' => __( 'Text to display when there are more than one comments', 'flathost' ),

		'std' => 'Comments'

	),


	array(

		'id' => 'translate-comments-off',

		'type' => 'text',

		'label' => __( 'Comments closed', 'flathost' ),

		'desc' => __( 'Text to display when comments are disabled', 'flathost' ),

		'std' => 'Comments are closed.'

	),

	array(

		'id' => 'comments-note',

		'type' => 'text',

		'label' => __( 'Reply', 'flathost' ),

		'desc' => __( 'Text to display for comment form note', 'flathost' ),

		'std' => 'Your email address will not be published.'

	),

	array(

		'id' => 'comment-moderation',

		'type' => 'text',

		'label' => __( 'Reply', 'flathost' ),

		'desc' => __( 'Text to display for comment moderation message', 'flathost' ),

		'std' => 'Your comment is awaiting moderation.'

	),

	array(

		'id' => 'comment-reply',

		'type' => 'text',

		'label' => __( 'Reply', 'flathost' ),

		'desc' => __( 'Text to display on comment Reply Button', 'flathost' ),

		'std' => 'Reply'

	),

	array(

		'id' => 'comments-btn',

		'type' => 'text',

		'label' => __( 'Reply', 'flathost' ),

		'desc' => __( 'Text to display on comment form Submit Button', 'flathost' ),

		'std' => 'Send Message'

	),


	array(

		'label' => __( 'Blog', 'flathost' ),

		'desc' => __( 'Blog', 'flathost' ),

		'id' => 'blog-title',

		'type' => 'text',

		'std' => 'Our Blog'

	),


	array(

		'label' => __( 'Blog Description', 'flathost' ),

		'desc' => __( 'Text for Blog Description', 'flathost' ),

		'id' => 'translate-blog-sub',

		'type' => 'text',

		'std' => 'Latest news and updates from flathost'

	),


	array(

		'label' => __( 'Category', 'flathost' ),

		'desc' => __( 'Archive', 'flathost' ),

		'id' => 'cat-title',

		'type' => 'text',

		'std' => '<span>Category:</span> %s'

	),


	array(

		'label' => __( 'Tag', 'flathost' ),

		'desc' => __( 'Archive', 'flathost' ),

		'id' => 'tag-title',

		'type' => 'text',

		'std' => '<span>Tag:</span> %s'

	),


	array(

		'label' => __( 'Day', 'flathost' ),

		'desc' => __( 'Archive', 'flathost' ),

		'id' => 'day-title',

		'type' => 'text',

		'std' => '<span>Daily:</span> %s'

	),


	array(

		'label' => __( 'Month', 'flathost' ),

		'desc' => __( 'Archive', 'flathost' ),

		'id' => 'month-title',

		'type' => 'text',

		'std' => '<span>Monthly:</span> %s'

	),


	array(

		'label' => __( 'Year', 'flathost' ),

		'desc' => __( 'Archive', 'flathost' ),

		'id' => 'year-title',

		'type' => 'text',

		'std' => '<span>Yearly:</span> %s'

	),


	array(

		'label' => __( 'Archive', 'flathost' ),

		'desc' => __( 'Archive', 'flathost' ),

		'id' => 'archive-title',

		'type' => 'text',

		'std' => 'Archives'

	),


	array(

		'label' => __( 'Search', 'flathost' ),

		'desc' => __( 'Search result page', 'flathost' ),

		'id' => 'search-title',

		'type' => 'text',

		'std' => 'Search results: <span>%s</span>'

	),


	array(

		'label' => __( 'Error 404', 'flathost' ),

		'type' => 'sub_heading'

	),


	array(

		'label' => __( 'Title', 'flathost' ),

		'desc' => __( 'Ooops... Error 404', 'flathost' ),

		'id' => 'error-404-title',

		'type' => 'text',

		'std' => 'Ooops... Error 404'

	),


	array(

		'label' => __( 'Subtitle', 'flathost' ),

		'desc' => __( 'We are sorry, but the page you are looking for does not exist.', 'flathost' ),

		'id' => 'error-404-subtitle',

		'type' => 'text',

		'std' => 'We are sorry, but the page you are looking for does not exist.'

	),


	array(

		'label' => __( 'Text', 'flathost' ),

		'desc' => __( 'Please check entered address and try again or', 'flathost' ),

		'id' => 'error-404-text',

		'type' => 'text',

		'std' => 'Please check entered address and try again or'

	),


	array(

		'label' => __( 'Button', 'flathost' ),

		'desc' => __( 'Go To Homepage button', 'flathost' ),

		'id' => 'error-404-btn',

		'type' => 'text',

		'std' => 'go to homepage'

	),


);


$spyropress_theme_settings['plugins'] = array(


	array(

		'label' => __( 'Settings', 'flathost' ),

		'type' => 'heading',

		'slug' => 'plugins',

		'icon' => 'module-icon-general'

	),


	array(

		'label' => __( 'Email Settings', 'flathost' ),

		'type' => 'sub_heading'

	),


	array(

		'label' => __( 'Sender Name', 'flathost' ),

		'desc' => __( 'For example sender name is "WordPress".', 'flathost' ),

		'id' => 'mail_from_name',

		'type' => 'text'

	),


	array(

		'label' => __( 'Sender Email Address', 'flathost' ),

		'desc' => __( 'For example sender email address is wordpress@yoursite.com.', 'flathost' ),

		'id' => 'mail_from_email',

		'type' => 'text'

	),


	array(

		'label' => __( 'WP-Pagenavi', 'flathost' ),

		'type' => 'toggle'

	),


	array(

		'label' => __( 'Text For Number Of Pages', 'flathost' ),

		'type' => 'text',

		'id' => 'pagination_pages_text',

		'desc' => '%CURRENT_PAGE% - ' . __( 'The current page number.', 'flathost' ) .

		          '<br />%TOTAL_PAGES% - ' . __( 'The total number of pages.', 'flathost' ),

		'std' => __( 'Page %CURRENT_PAGE% of %TOTAL_PAGES%', 'flathost' ),

	),


	array(

		'label' => __( 'Text For Current Page', 'flathost' ),

		'type' => 'text',

		'id' => 'pagination_current_text',

		'desc' => '%PAGE_NUMBER% - ' . __( 'The page number.', 'flathost' ),

		'std' => '%PAGE_NUMBER%'

	),


	array(

		'label' => __( 'Text For Page', 'flathost' ),

		'type' => 'text',

		'id' => 'pagination_page_text',

		'desc' => '%PAGE_NUMBER% - ' . __( 'The page number.', 'flathost' ),

		'std' => '%PAGE_NUMBER%'

	),


	array(

		'label' => __( 'Text For First Page', 'flathost' ),

		'type' => 'text',

		'id' => 'pagination_first_text',

		'desc' => '%TOTAL_PAGES% - ' . __( 'The total number of pages.', 'flathost' ),

		'std' => '&laquo; First'

	),


	array(

		'label' => __( 'Text For Last Page', 'flathost' ),

		'type' => 'text',

		'id' => 'pagination_last_text',

		'desc' => '%TOTAL_PAGES% - ' . __( 'The total number of pages.', 'flathost' ),

		'std' => 'Last &raquo;'

	),


	array(

		'label' => __( 'Text For Previous Page', 'flathost' ),

		'type' => 'text',

		'id' => 'pagination_prev_text',

		'std' => '&laquo;'

	),


	array(

		'label' => __( 'Text For Next Page', 'flathost' ),

		'type' => 'text',

		'id' => 'pagination_next_text',

		'std' => '&raquo;'

	),


	array(

		'label' => __( 'Text For Previous &hellip;', 'flathost' ),

		'type' => 'text',

		'id' => 'pagination_dotleft_text',

		'std' => '&hellip;'

	),


	array(

		'label' => __( 'Text For Next &hellip;', 'flathost' ),

		'type' => 'text',

		'id' => 'pagination_dotright_text',

		'std' => '&hellip;'

	),


	array(

		'label' => __( 'Page Navigation Text', 'flathost' ),

		'type' => 'sub_heading',

		'desc' => __( 'Leaving a field blank will hide that part of the navigation.', 'flathost' ),

	),


	array(

		'label' => __( 'Always Show Page Navigation', 'flathost' ),

		'type' => 'checkbox',

		'id' => 'pagination_always_show',

		'options' => array(

			1 => __( 'Show navigation even if there\'s only one page.', 'flathost' ),

		)

	),


	array(

		'label' => __( 'Number Of Pages To Show', 'flathost' ),

		'type' => 'text',

		'id' => 'pagination_num_pages',

		'std' => 5

	),


	array(

		'label' => __( 'Number Of Larger Page Numbers To Show', 'flathost' ),

		'type' => 'text',

		'id' => 'pagination_num_larger_page_numbers',

		'desc' => __( 'Larger page numbers are in addition to the normal page numbers. They are useful when there are many pages of posts.', 'flathost' ),

		'std' => 3

	),


	array(

		'label' => __( 'Show Larger Page Numbers In Multiples Of', 'flathost' ),

		'type' => 'text',

		'id' => 'pagination_larger_page_numbers_multiple',

		'desc' => __( 'For example, if mutiple is 5, it will show: 5, 10, 15, 20, 25', 'flathost' ),

		'std' => 10

	),


	array(

		'type' => 'toggle_end'

	),


); // END PLUGINS


$spyropress_theme_settings['separator'] = array(


	array( 'type' => 'separator' )


); // END Separator


$spyropress_theme_settings['import'] = array(


	array(

		'label' => __( 'Import / Export', 'flathost' ),

		'type' => 'heading',

		'slug' => 'import-export',

		'icon' => 'module-icon-import'

	),


	array(

		'type' => 'import_dummy'

	),


	array(

		'type' => 'import'

	),


	array(

		'type' => 'export'

	),

); // END Import/Export


$spyropress_theme_settings['support'] = array(


	array(

		'label' => __( 'Support', 'flathost' ),

		'type' => 'heading',

		'slug' => 'support',

		'icon' => 'module-icon-support'

	),


	array(

		'id' => 'admin/docs-support.php',

		'type' => 'include'

	)


); // END Separator

?>