<?php

/**
 * Contact Info Widget
 * Quickly add contact info to your sidebar e.g. address, phone, email.
 *
 * @package		SpyroPress
 * @category	Widgets
 * @author		SpyroSol
 */
if (!function_exists('register_cms_widget')) return;
class SpyroPress_Widget_Contact extends SpyropressWidget {

    private static $counter = 1;

    /**
     * Constructor
     */
    function __construct() {

        // Widget variable settings.
        $this->cssclass = 'contact-info';
        $this->description = __( 'Quickly add contact info to your sidebar e.g. address, phone, email.', 'flathost' );
        $this->id_base = 'spyropress_contact';
        $this->name = __( 'Spyropress: Contact Info', 'flathost' );

        $this->fields = array(
            array(
                'label' => __( 'Style', 'flathost' ),
                'id' => 'style',
                'class' => 'enable_changer ',
                'type' => 'select',
                'options' => array(
                    'link' => 'Link',
                    'list' => 'List'
                ),
            ),
            
            
            array(
                'label' => __( 'Title', 'flathost' ),
                'id' => 'title',
                'type' => 'text',
            ),
            
            array(
                'label' => __( 'Lists', 'flathost' ),
                'id' => 'lists',
                'class' => 'style list',
                'type' => 'repeater',
                'fields' => array(
                    array(
                        'label' => __( 'List', 'flathost'),
                        'id' => 'list',
                        'type' => 'text'
                    
                    )
                )
            )
            
        );

        $this->create_widget();
    }

    function widget( $args, $instance ) {

        // extracting info
        extract( $args ); extract( spyropress_clean_array( $instance ) );

        // get view to render
        include $this->get_view();
    }
} // class SpyroPress_Widget_Contact

register_cms_widget( 'SpyroPress_Widget_Contact' );